Subject: bug#62892: proposal to extend mark-sexp to go forward and backward on command

From: Richard Stallman <[email-masked]>
Date: Mon, 22 May 2023 18:02:05 -0400

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > > Attached is a patch with the following changes:
  > >
  > > * Uses the helper function to create mark-foo-forward, mark-foo-backward
  > > for word, paragraph, sexp, page, and defun.

I think these functions would make sense, but I wonder hwo they
would do users any good.

Are you envisioning that we would create standard key bindings
for these functions?

Are you envisioning that users would bind some of these functions
to keys themselves?

Are you envisioning that users would call these functions from their
own Lisp code?

Any of those would make sense in the abstract, but I doubt that any of
them would be convenient enough to make this change worth installing.

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)